pkgname=gnome-shell-extension-bluetooth-battery-meter
pkgver=28
pkgrel=1
pkgdesc="An extension featuring indicator icons in the system tray, serving as a meter for Bluetooth device battery levels"
arch=('any')
url="https://github.com/maniacx/Bluetooth-Battery-Meter"
license=('GPL3')
depends=('bluez' 'gnome-shell')
makedepends=('git')
_commit=bc48ea538ced7ca9bf08670807e6d34f22b0536a
source=("git+https://github.com/maniacx/Bluetooth-Battery-Meter#commit=$_commit")
sha256sums=('9ad841c7037425ebb025505933455f365d7f023163bfe94e8ae5d87d3ce13259')


build() {
  cd "$srcdir/Bluetooth-Battery-Meter"
  gnome-extensions pack \
     --extra-source=img \
     --extra-source=lib \
     --extra-source=ui \
     --extra-source=prefs.xml \
     --force
}

package() {
  cd "$srcdir/Bluetooth-Battery-Meter"
  _uuid='Bluetooth-Battery-Meter@maniacx.github.com'

  install -d "$pkgdir/usr/share/gnome-shell/extensions/${_uuid}"
  bsdtar -xvf "${_uuid}.shell-extension.zip" -C \
      "$pkgdir/usr/share/gnome-shell/extensions/${_uuid}/" --no-same-owner

  mv "$pkgdir/usr/share/gnome-shell/extensions/${_uuid}/locale" "$pkgdir/usr/share/"

  install -Dm644 schemas/org.gnome.shell.extensions.Bluetooth-Battery-Meter.gschema.xml -t \
      "$pkgdir/usr/share/glib-2.0/schemas"
    rm -rf "$pkgdir/usr/share/gnome-shell/extensions/${_uuid}/schemas"
}
